instagram 05
15 个接口
GETget explore
GET https://dkai.store/api/v1/instagram/v3/get_explore7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_explore'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget hashtag posts
GET https://dkai.store/api/v1/instagram/v3/get_hashtag_posts7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
tag | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_hashtag_posts?tag=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget highlight stories
GET https://dkai.store/api/v1/instagram/v3/get_highlight_stories7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
highlight_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_highlight_stories?highlight_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget location info
GET https://dkai.store/api/v1/instagram/v3/get_location_info7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
location_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_location_info?location_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget location nearby
GET https://dkai.store/api/v1/instagram/v3/get_location_nearby7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
location_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_location_nearby?location_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget location posts
GET https://dkai.store/api/v1/instagram/v3/get_location_posts7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
location_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_location_posts?location_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget music posts
GET https://dkai.store/api/v1/instagram/v3/get_music_posts7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
audio_cluster_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_music_posts?audio_cluster_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget post comments
GET https://dkai.store/api/v1/instagram/v3/get_post_comments7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_post_comments?code=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget post info
GET https://dkai.store/api/v1/instagram/v3/get_post_info7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_post_info'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget post info by code
GET https://dkai.store/api/v1/instagram/v3/get_post_info_by_code7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_post_info_by_code?code=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget post likes
GET https://dkai.store/api/v1/instagram/v3/get_post_likes7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
code | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_post_likes?code=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget post oembed
GET https://dkai.store/api/v1/instagram/v3/get_post_oembed7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
url | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_post_oembed?url=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget recommended reels
GET https://dkai.store/api/v1/instagram/v3/get_recommended_reels7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_recommended_reels'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget similar users
GET https://dkai.store/api/v1/instagram/v3/get_similar_users7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_similar_users?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user about
GET https://dkai.store/api/v1/instagram/v3/get_user_about7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_about?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。